Loading...
Searching...
No Matches
PersistentHomology Struct Reference

Concept describing the requirements for a class to compute persistent homology. More...

`#include <concept/Persistent_cohomology/PersistentHomology.h>`

## Public Types

typedef unspecified | Filtered_complex
| Type of filtered cell complex on which persistent homology is computed.
typedef unspecified | Coefficient_field
| Type of coefficients to be used for computing persistent homology.

## Detailed Description

Concept describing the requirements for a class to compute persistent homology.

## Member Typedef Documentation

## Coefficient_field

typedef unspecified PersistentHomology::Coefficient_field

Type of coefficients to be used for computing persistent homology.

Must be a model of concept CoefficientField.

## Filtered_complex

typedef unspecified PersistentHomology::Filtered_complex

Type of filtered cell complex on which persistent homology is computed.

Must be a model of concept FilteredComplex.

The documentation for this struct was generated from the following file:

- concept/Persistent_cohomology/PersistentHomology.h